org.eclipse.wst.jsdt.core.ast

## Class ASTVisitor

- java.lang.Object
- - org.eclipse.wst.jsdt.core.ast.ASTVisitor

Direct Known Subclasses:
  InferEngine

    public abstract class ASTVisitor
    extends java.lang.Object

A visitor for iterating through the AST Node tree. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`ASTVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `acceptProblem(IProblem problem)`
`void` `endVisit(IAllocationExpression allocationExpression)`
`void` `endVisit(IAND_AND_Expression and_and_Expression)`
`void` `endVisit(IArgument argument)`
`void` `endVisit(IArrayAllocationExpression arrayAllocationExpression)`
`void` `endVisit(IArrayInitializer arrayInitializer)`
`void` `endVisit(IArrayQualifiedTypeReference arrayQualifiedTypeReference)`
`void` `endVisit(IArrayReference arrayReference)`
`void` `endVisit(IArrayTypeReference arrayTypeReference)`
`void` `endVisit(IAssignment assignment)`
`void` `endVisit(IBinaryExpression binaryExpression)`
`void` `endVisit(IBlock block)`
`void` `endVisit(IBreakStatement breakStatement)`
`void` `endVisit(ICaseStatement caseStatement)`
`void` `endVisit(ICompoundAssignment compoundAssignment)`
`void` `endVisit(IConditionalExpression conditionalExpression)`
`void` `endVisit(IConstructorDeclaration constructorDeclaration)`
`void` `endVisit(IContinueStatement continueStatement)`
`void` `endVisit(IDoStatement doStatement)`
`void` `endVisit(IDoubleLiteral doubleLiteral)`
`void` `endVisit(IEmptyStatement emptyStatement)`
`void` `endVisit(IEqualExpression equalExpression)`
`void` `endVisit(IExplicitConstructorCall explicitConstructor)`
`void` `endVisit(IExtendedStringLiteral extendedStringLiteral)`
`void` `endVisit(IFalseLiteral falseLiteral)`
`void` `endVisit(IFieldDeclaration fieldDeclaration)`
`void` `endVisit(IFieldReference fieldDeclaration)`
`void` `endVisit(IForeachStatement forStatement)`
`void` `endVisit(IForInStatement forInStatement)`
`void` `endVisit(IForStatement forStatement)`
`void` `endVisit(IFunctionCall messageSend)`
`void` `endVisit(IFunctionDeclaration methodDeclaration)`
`void` `endVisit(IFunctionExpression functionExpression)`
`void` `endVisit(IIfStatement ifStatement)`
`void` `endVisit(IImportReference importRef)`
`void` `endVisit(IInitializer initializer)`
`void` `endVisit(IInstanceOfExpression instanceOfExpression)`
`void` `endVisit(IIntLiteral intLiteral)`
`void` `endVisit(IJsDoc javadoc)`
`void` `endVisit(IJsDocAllocationExpression expression)`
`void` `endVisit(IJsDocArgumentExpression expression)`
`void` `endVisit(IJsDocArrayQualifiedTypeReference typeRef)`
`void` `endVisit(IJsDocArraySingleTypeReference typeRef)`
`void` `endVisit(IJsDocFieldReference fieldRef)`
`void` `endVisit(IJsDocImplicitTypeReference implicitTypeReference)`
`void` `endVisit(IJsDocMessageSend messageSend)`
`void` `endVisit(IJsDocQualifiedTypeReference typeRef)`
`void` `endVisit(IJsDocReturnStatement statement)`
`void` `endVisit(IJsDocSingleNameReference argument)`
`void` `endVisit(IJsDocSingleTypeReference typeRef)`
`void` `endVisit(ILabeledStatement labeledStatement)`
`void` `endVisit(IListExpression listDeclaration)`
`void` `endVisit(ILocalDeclaration localDeclaration)`
`void` `endVisit(InferredType inferredType)`
`void` `endVisit(INullLiteral nullLiteral)`
`void` `endVisit(IObjectLiteral literal)`
`void` `endVisit(IObjectLiteralField field)`
`void` `endVisit(IOR_OR_Expression or_or_Expression)`
`void` `endVisit(IPostfixExpression postfixExpression)`
`void` `endVisit(IPrefixExpression prefixExpression)`
`void` `endVisit(IQualifiedAllocationExpression qualifiedAllocationExpression)`
`void` `endVisit(IQualifiedNameReference qualifiedNameReference)`
`void` `endVisit(IQualifiedThisReference qualifiedThisReference)`
`void` `endVisit(IQualifiedTypeReference qualifiedTypeReference)`
`void` `endVisit(IRegExLiteral stringLiteral)`
`void` `endVisit(IReturnStatement returnStatement)`
`void` `endVisit(IScriptFileDeclaration scriptFileDeclaration)`
`void` `endVisit(ISingleNameReference singleNameReference)`
`void` `endVisit(ISingleTypeReference singleTypeReference)`
`void` `endVisit(IStringLiteral stringLiteral)`
`void` `endVisit(IStringLiteralConcatenation literal)`
`void` `endVisit(ISuperReference superReference)`
`void` `endVisit(ISwitchStatement switchStatement)`
`void` `endVisit(IThisReference thisReference)`
`void` `endVisit(IThrowStatement throwStatement)`
`void` `endVisit(ITrueLiteral trueLiteral)`
`void` `endVisit(ITryStatement tryStatement)`
`void` `endVisit(ITypeDeclaration memberTypeDeclaration)`
`void` `endVisit(IUnaryExpression unaryExpression)`
`void` `endVisit(IUndefinedLiteral undefinedLiteral)`
`void` `endVisit(IWhileStatement whileStatement)`
`void` `endVisit(IWithStatement whileStatement)`
`boolean` `visit(IAllocationExpression allocationExpression)`
`boolean` `visit(IAND_AND_Expression and_and_Expression)`
`boolean` `visit(IArgument argument)`
`boolean` `visit(IArrayAllocationExpression arrayAllocationExpression)`
`boolean` `visit(IArrayInitializer arrayInitializer)`
`boolean` `visit(IArrayQualifiedTypeReference arrayQualifiedTypeReference)`
`boolean` `visit(IArrayReference arrayReference)`
`boolean` `visit(IArrayTypeReference arrayTypeReference)`
`boolean` `visit(IAssignment assignment)`
`boolean` `visit(IBinaryExpression binaryExpression)`
`boolean` `visit(IBlock block)`
`boolean` `visit(IBreakStatement breakStatement)`
`boolean` `visit(ICaseStatement caseStatement)`
`boolean` `visit(ICompoundAssignment compoundAssignment)`
`boolean` `visit(IConditionalExpression conditionalExpression)`
`boolean` `visit(IConstructorDeclaration constructorDeclaration)`
`boolean` `visit(IContinueStatement continueStatement)`
`boolean` `visit(IDoStatement doStatement)`
`boolean` `visit(IDoubleLiteral doubleLiteral)`
`boolean` `visit(IEmptyStatement emptyStatement)`
`boolean` `visit(IEqualExpression equalExpression)`
`boolean` `visit(IExplicitConstructorCall explicitConstructor)`
`boolean` `visit(IExtendedStringLiteral extendedStringLiteral)`
`boolean` `visit(IFalseLiteral falseLiteral)`
`boolean` `visit(IFieldDeclaration fieldDeclaration)`
`boolean` `visit(IFieldReference fieldReference)`
`boolean` `visit(IForeachStatement forStatement)`
`boolean` `visit(IForInStatement forInStatement)`
`boolean` `visit(IForStatement forStatement)`
`boolean` `visit(IFunctionCall functionCall)`
`boolean` `visit(IFunctionDeclaration functionDeclaration)`
`boolean` `visit(IFunctionExpression functionExpression)`
`boolean` `visit(IIfStatement ifStatement)`
`boolean` `visit(IImportReference importRef)`
`boolean` `visit(IInitializer initializer)`
`boolean` `visit(IInstanceOfExpression instanceOfExpression)`
`boolean` `visit(IIntLiteral intLiteral)`
`boolean` `visit(IJsDoc javadoc)`
`boolean` `visit(IJsDocAllocationExpression expression)`
`boolean` `visit(IJsDocArgumentExpression expression)`
`boolean` `visit(IJsDocArrayQualifiedTypeReference typeRef)`
`boolean` `visit(IJsDocArraySingleTypeReference typeRef)`
`boolean` `visit(IJsDocFieldReference fieldRef)`
`boolean` `visit(IJsDocImplicitTypeReference implicitTypeReference)`
`boolean` `visit(IJsDocMessageSend messageSend)`
`boolean` `visit(IJsDocQualifiedTypeReference typeRef)`
`boolean` `visit(IJsDocReturnStatement statement)`
`boolean` `visit(IJsDocSingleNameReference argument)`
`boolean` `visit(IJsDocSingleTypeReference typeRef)`
`boolean` `visit(ILabeledStatement labeledStatement)`
`boolean` `visit(IListExpression listDeclaration)`
`boolean` `visit(ILocalDeclaration localDeclaration)`
`boolean` `visit(InferredAttribute inferredField)`
`boolean` `visit(InferredMethod inferredMethod)`
`boolean` `visit(InferredType inferredType)`
`boolean` `visit(INullLiteral nullLiteral)`
`boolean` `visit(IObjectLiteral literal)`
`boolean` `visit(IObjectLiteralField field)`
`boolean` `visit(IOR_OR_Expression or_or_Expression)`
`boolean` `visit(IPostfixExpression postfixExpression)`
`boolean` `visit(IPrefixExpression prefixExpression)`
`boolean` `visit(IQualifiedAllocationExpression qualifiedAllocationExpression)`
`boolean` `visit(IQualifiedNameReference qualifiedNameReference)`
`boolean` `visit(IQualifiedThisReference qualifiedThisReference)`
`boolean` `visit(IQualifiedTypeReference qualifiedTypeReference)`
`boolean` `visit(IRegExLiteral stringLiteral)`
`boolean` `visit(IReturnStatement returnStatement)`
`boolean` `visit(IScriptFileDeclaration compilationUnitDeclaration)`
`boolean` `visit(ISingleNameReference singleNameReference)`
`boolean` `visit(ISingleTypeReference singleTypeReference)`
`boolean` `visit(IStringLiteral stringLiteral)`
`boolean` `visit(IStringLiteralConcatenation literal)`
`boolean` `visit(ISuperReference superReference)`
`boolean` `visit(ISwitchStatement switchStatement)`
`boolean` `visit(IThisReference thisReference)`
`boolean` `visit(IThrowStatement throwStatement)`
`boolean` `visit(ITrueLiteral trueLiteral)`
`boolean` `visit(ITryStatement tryStatement)`
`boolean` `visit(ITypeDeclaration localTypeDeclaration)`
`boolean` `visit(IUnaryExpression unaryExpression)`
`boolean` `visit(IUndefinedLiteral undefined)`
`boolean` `visit(IWhileStatement whileStatement)`
`boolean` `visit(IWithStatement whileStatement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTVisitor

    public ASTVisitor()

### Method Detail

#### acceptProblem

    public void acceptProblem(IProblem problem)

#### endVisit

    public void endVisit(IAllocationExpression allocationExpression)

#### endVisit

    public void endVisit(IAND_AND_Expression and_and_Expression)

#### endVisit

    public void endVisit(IArgument argument)

#### endVisit

    public void endVisit(IArrayAllocationExpression arrayAllocationExpression)

#### endVisit

    public void endVisit(IArrayInitializer arrayInitializer)

#### endVisit

    public void endVisit(IArrayQualifiedTypeReference arrayQualifiedTypeReference)

#### endVisit

    public void endVisit(IArrayReference arrayReference)

#### endVisit

    public void endVisit(IArrayTypeReference arrayTypeReference)

#### endVisit

    public void endVisit(IAssignment assignment)

#### endVisit

    public void endVisit(IBinaryExpression binaryExpression)

#### endVisit

    public void endVisit(IBlock block)

#### endVisit

    public void endVisit(IBreakStatement breakStatement)

#### endVisit

    public void endVisit(ICaseStatement caseStatement)

#### endVisit

    public void endVisit(IScriptFileDeclaration scriptFileDeclaration)

#### endVisit

    public void endVisit(ICompoundAssignment compoundAssignment)

#### endVisit

    public void endVisit(IConditionalExpression conditionalExpression)

#### endVisit

    public void endVisit(IConstructorDeclaration constructorDeclaration)

#### endVisit

    public void endVisit(IContinueStatement continueStatement)

#### endVisit

    public void endVisit(IDoStatement doStatement)

#### endVisit

    public void endVisit(IDoubleLiteral doubleLiteral)

#### endVisit

    public void endVisit(IEmptyStatement emptyStatement)

#### endVisit

    public void endVisit(IEqualExpression equalExpression)

#### endVisit

    public void endVisit(IExplicitConstructorCall explicitConstructor)

#### endVisit

    public void endVisit(IExtendedStringLiteral extendedStringLiteral)

#### endVisit

    public void endVisit(IFalseLiteral falseLiteral)

#### endVisit

    public void endVisit(IFieldDeclaration fieldDeclaration)

#### endVisit

    public void endVisit(IFieldReference fieldDeclaration)

#### endVisit

    public void endVisit(IForeachStatement forStatement)

#### endVisit

    public void endVisit(IForStatement forStatement)

#### endVisit

    public void endVisit(IForInStatement forInStatement)

#### endVisit

    public void endVisit(IFunctionExpression functionExpression)

#### endVisit

    public void endVisit(IIfStatement ifStatement)

#### endVisit

    public void endVisit(IImportReference importRef)

#### endVisit

    public void endVisit(InferredType inferredType)

#### endVisit

    public void endVisit(IInitializer initializer)

#### endVisit

    public void endVisit(IInstanceOfExpression instanceOfExpression)

#### endVisit

    public void endVisit(IIntLiteral intLiteral)

#### endVisit

    public void endVisit(IJsDoc javadoc)

#### endVisit

    public void endVisit(IJsDocAllocationExpression expression)

#### endVisit

    public void endVisit(IJsDocArgumentExpression expression)

#### endVisit

    public void endVisit(IJsDocArrayQualifiedTypeReference typeRef)

#### endVisit

    public void endVisit(IJsDocArraySingleTypeReference typeRef)

#### endVisit

    public void endVisit(IJsDocFieldReference fieldRef)

#### endVisit

    public void endVisit(IJsDocImplicitTypeReference implicitTypeReference)

#### endVisit

    public void endVisit(IJsDocMessageSend messageSend)

#### endVisit

    public void endVisit(IJsDocQualifiedTypeReference typeRef)

#### endVisit

    public void endVisit(IJsDocReturnStatement statement)

#### endVisit

    public void endVisit(IJsDocSingleNameReference argument)

#### endVisit

    public void endVisit(IJsDocSingleTypeReference typeRef)

#### endVisit

    public void endVisit(ILabeledStatement labeledStatement)

#### endVisit

    public void endVisit(ILocalDeclaration localDeclaration)

#### endVisit

    public void endVisit(IListExpression listDeclaration)

#### endVisit

    public void endVisit(IFunctionCall messageSend)

#### endVisit

    public void endVisit(IFunctionDeclaration methodDeclaration)

#### endVisit

    public void endVisit(IStringLiteralConcatenation literal)

#### endVisit

    public void endVisit(INullLiteral nullLiteral)

#### endVisit

    public void endVisit(IOR_OR_Expression or_or_Expression)

#### endVisit

    public void endVisit(IPostfixExpression postfixExpression)

#### endVisit

    public void endVisit(IPrefixExpression prefixExpression)

#### endVisit

    public void endVisit(IQualifiedAllocationExpression qualifiedAllocationExpression)

#### endVisit

    public void endVisit(IQualifiedNameReference qualifiedNameReference)

#### endVisit

    public void endVisit(IQualifiedThisReference qualifiedThisReference)

#### endVisit

    public void endVisit(IQualifiedTypeReference qualifiedTypeReference)

#### endVisit

    public void endVisit(IRegExLiteral stringLiteral)

#### endVisit

    public void endVisit(IReturnStatement returnStatement)

#### endVisit

    public void endVisit(ISingleNameReference singleNameReference)

#### endVisit

    public void endVisit(ISingleTypeReference singleTypeReference)

#### endVisit

    public void endVisit(IStringLiteral stringLiteral)

#### endVisit

    public void endVisit(ISuperReference superReference)

#### endVisit

    public void endVisit(ISwitchStatement switchStatement)

#### endVisit

    public void endVisit(IThisReference thisReference)

#### endVisit

    public void endVisit(IThrowStatement throwStatement)

#### endVisit

    public void endVisit(ITrueLiteral trueLiteral)

#### endVisit

    public void endVisit(ITryStatement tryStatement)

#### endVisit

    public void endVisit(ITypeDeclaration memberTypeDeclaration)

#### endVisit

    public void endVisit(IUnaryExpression unaryExpression)

#### endVisit

    public void endVisit(IUndefinedLiteral undefinedLiteral)

#### endVisit

    public void endVisit(IWhileStatement whileStatement)

#### endVisit

    public void endVisit(IWithStatement whileStatement)

#### visit

    public boolean visit(IAllocationExpression allocationExpression)

#### visit

    public boolean visit(IAND_AND_Expression and_and_Expression)

#### visit

    public boolean visit(IArgument argument)

#### visit

    public boolean visit(IArrayAllocationExpression arrayAllocationExpression)

#### visit

    public boolean visit(IArrayInitializer arrayInitializer)

#### visit

    public boolean visit(IArrayQualifiedTypeReference arrayQualifiedTypeReference)

#### visit

    public boolean visit(IArrayReference arrayReference)

#### visit

    public boolean visit(IArrayTypeReference arrayTypeReference)

#### visit

    public boolean visit(IAssignment assignment)

#### visit

    public boolean visit(IBinaryExpression binaryExpression)

#### visit

    public boolean visit(IBlock block)

#### visit

    public boolean visit(IBreakStatement breakStatement)

#### visit

    public boolean visit(ICaseStatement caseStatement)

#### visit

    public boolean visit(IScriptFileDeclaration compilationUnitDeclaration)

#### visit

    public boolean visit(ICompoundAssignment compoundAssignment)

#### visit

    public boolean visit(IConditionalExpression conditionalExpression)

#### visit

    public boolean visit(IConstructorDeclaration constructorDeclaration)

#### visit

    public boolean visit(IContinueStatement continueStatement)

#### visit

    public boolean visit(IDoStatement doStatement)

#### visit

    public boolean visit(IDoubleLiteral doubleLiteral)

#### visit

    public boolean visit(IEmptyStatement emptyStatement)

#### visit

    public boolean visit(IEqualExpression equalExpression)

#### visit

    public boolean visit(IExplicitConstructorCall explicitConstructor)

#### visit

    public boolean visit(IExtendedStringLiteral extendedStringLiteral)

#### visit

    public boolean visit(IFalseLiteral falseLiteral)

#### visit

    public boolean visit(IFieldDeclaration fieldDeclaration)

#### visit

    public boolean visit(IFieldReference fieldReference)

#### visit

    public boolean visit(IForeachStatement forStatement)

#### visit

    public boolean visit(IForInStatement forInStatement)

#### visit

    public boolean visit(IForStatement forStatement)

#### visit

    public boolean visit(IFunctionExpression functionExpression)

#### visit

    public boolean visit(IIfStatement ifStatement)

#### visit

    public boolean visit(IImportReference importRef)

#### visit

    public boolean visit(InferredType inferredType)

#### visit

    public boolean visit(InferredMethod inferredMethod)

#### visit

    public boolean visit(InferredAttribute inferredField)

#### visit

    public boolean visit(IInitializer initializer)

#### visit

    public boolean visit(IInstanceOfExpression instanceOfExpression)

#### visit

    public boolean visit(IIntLiteral intLiteral)

#### visit

    public boolean visit(IJsDoc javadoc)

#### visit

    public boolean visit(IJsDocAllocationExpression expression)

#### visit

    public boolean visit(IJsDocArgumentExpression expression)

#### visit

    public boolean visit(IJsDocArrayQualifiedTypeReference typeRef)

#### visit

    public boolean visit(IJsDocArraySingleTypeReference typeRef)

#### visit

    public boolean visit(IJsDocFieldReference fieldRef)

#### visit

    public boolean visit(IJsDocImplicitTypeReference implicitTypeReference)

#### visit

    public boolean visit(IJsDocMessageSend messageSend)

#### visit

    public boolean visit(IJsDocQualifiedTypeReference typeRef)

#### visit

    public boolean visit(IJsDocReturnStatement statement)

#### visit

    public boolean visit(IJsDocSingleNameReference argument)

#### visit

    public boolean visit(IJsDocSingleTypeReference typeRef)

#### visit

    public boolean visit(ILabeledStatement labeledStatement)

#### visit

    public boolean visit(ILocalDeclaration localDeclaration)

#### visit

    public boolean visit(IListExpression listDeclaration)

#### visit

    public boolean visit(IFunctionCall functionCall)

#### visit

    public boolean visit(IFunctionDeclaration functionDeclaration)

#### visit

    public boolean visit(IStringLiteralConcatenation literal)

#### visit

    public boolean visit(INullLiteral nullLiteral)

#### visit

    public boolean visit(IOR_OR_Expression or_or_Expression)

#### visit

    public boolean visit(IPostfixExpression postfixExpression)

#### visit

    public boolean visit(IPrefixExpression prefixExpression)

#### visit

    public boolean visit(IQualifiedAllocationExpression qualifiedAllocationExpression)

#### visit

    public boolean visit(IQualifiedNameReference qualifiedNameReference)

#### visit

    public boolean visit(IQualifiedThisReference qualifiedThisReference)

#### visit

    public boolean visit(IQualifiedTypeReference qualifiedTypeReference)

#### visit

    public boolean visit(IRegExLiteral stringLiteral)

#### visit

    public boolean visit(IReturnStatement returnStatement)

#### visit

    public boolean visit(ISingleNameReference singleNameReference)

#### visit

    public boolean visit(ISingleTypeReference singleTypeReference)

#### visit

    public boolean visit(IStringLiteral stringLiteral)

#### visit

    public boolean visit(ISuperReference superReference)

#### visit

    public boolean visit(ISwitchStatement switchStatement)

#### visit

    public boolean visit(IThisReference thisReference)

#### visit

    public boolean visit(IThrowStatement throwStatement)

#### visit

    public boolean visit(ITrueLiteral trueLiteral)

#### visit

    public boolean visit(ITryStatement tryStatement)

#### visit

    public boolean visit(ITypeDeclaration localTypeDeclaration)

#### visit

    public boolean visit(IUnaryExpression unaryExpression)

#### visit

    public boolean visit(IUndefinedLiteral undefined)

#### visit

    public boolean visit(IWhileStatement whileStatement)

#### visit

    public boolean visit(IWithStatement whileStatement)

#### visit

    public boolean visit(IObjectLiteral literal)

#### endVisit

    public void endVisit(IObjectLiteral literal)

#### visit

    public boolean visit(IObjectLiteralField field)

#### endVisit

    public void endVisit(IObjectLiteralField field)